Source: tcpreplay
Version: 4.3.1-1
Severity: important
Tags: security upstream
Forwarded: https://github.com/appneta/tcpreplay/issues/537

Hi,

The following vulnerability was published for tcpreplay.

CVE-2019-8376[0]:
| An issue was discovered in Tcpreplay 4.3.1. A NULL pointer dereference
| occurred in the function get_layer4_v6() located at get.c. This can be
| triggered by sending a crafted pcap file to the tcpreplay-edit binary.
| It allows an attacker to cause a Denial of Service (Segmentation fault)
| or possibly have unspecified other impact.

If you fix the vulnerability please also make sure to include the
CVE (Common Vulnerabilities & Exposures) id in your changelog entry.

For further information see:

[0] https://security-tracker.debian.org/tracker/CVE-2019-8376
    https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-8376
[1] https://github.com/appneta/tcpreplay/issues/537

Please adjust the affected versions in the BTS as needed.

Regards,
Salvatore

Reply via email to